---
search:
  tags:
    - deals
    - POST
seo:
  description: >-
    Create deal comment. Reference for the POST
    /workspaces/{organizationId}/deals/{dealId}/comments endpoint in the Pile
    API.
sidebar:
  label: Create deal comment
  badge: POST
title: Create deal comment
type: openapi-operation
---
`POST /workspaces/{organizationId}/deals/{dealId}/comments`

**Request body** (`application/json`)

- `body` (string, required)

Request body example:

```json
{
  "body": "string"
}
```

**Responses**

- `201` — Comment created
- `404` — Record not found

Response example, 201:

```json
{
  "id": "string",
  "organizationId": "string",
  "entityType": "string",
  "entityId": "string",
  "authorId": "string",
  "body": "string",
  "internal": true,
  "externalId": "string",
  "externalSource": "string",
  "externalAuthor": "string",
  "resolvedAt": "string",
  "resolvedById": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
```
